BEGIN;
CREATE TABLE IF NOT EXISTS "pk_fieldingpost" (
	"playerID"	TEXT,
	"yearID"	NUMERIC,
	"teamID"	TEXT,
	"lgID"	TEXT,
	"round"	NUMERIC,
	"POS"	TEXT,
	"G"	NUMERIC,
	"GS"	NUMERIC,
	"InnOuts"	NUMERIC,
	"PO"	NUMERIC,
	"A"	NUMERIC,
	"E"	NUMERIC,
	"DP"	NUMERIC,
	"TP"	NUMERIC,
	"PB"	NUMERIC,
	"SB"	NUMERIC,
	"CS"	NUMERIC,
	PRIMARY KEY("playerID","yearID","round","POS"),
	foreign key("playerID") references "people"("playerID")
);

INSERT INTO "pk_fieldingpost" SELECT DISTINCT * FROM "fieldingpost";
DROP TABLE "fieldingpost";
ALTER TABLE "pk_fieldingpost" RENAME TO "fieldingpost";
COMMIT;
